curl --request GET \
--url https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/calls/{identifier}/permissions \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/calls/{identifier}/permissions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/calls/{identifier}/permissions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/calls/{identifier}/permissions")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/calls/{identifier}/permissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/calls/{identifier}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "TEMPORARY",
"actions": [
{
"name": "SEND_CALL_PERMISSION_REQUEST",
"canPerformAction": true,
"limits": [
{
"timePeriod": "PT24H",
"maxAllowed": 1,
"currentUsage": 0
},
{
"timePeriod": "PT168H",
"maxAllowed": 2,
"currentUsage": 0
}
]
},
{
"name": "START_CALL",
"canPerformAction": true,
"limits": [
{
"timePeriod": "PT24H",
"maxAllowed": 5,
"currentUsage": 1
}
]
}
],
"expirationTime": "2025-10-07T10:09:08.007Z"
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [
{
"property": "property.path",
"violation": "Violation message."
}
],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Get calling permission
Get calling permission info of WhatsApp sender for specified end user identifier, including status, allowed actions, and limitations.
Required scope: Enable one of: whatsapp:manage.
curl --request GET \
--url https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/calls/{identifier}/permissions \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/calls/{identifier}/permissions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/calls/{identifier}/permissions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/calls/{identifier}/permissions")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/calls/{identifier}/permissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/calls/{identifier}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "TEMPORARY",
"actions": [
{
"name": "SEND_CALL_PERMISSION_REQUEST",
"canPerformAction": true,
"limits": [
{
"timePeriod": "PT24H",
"maxAllowed": 1,
"currentUsage": 0
},
{
"timePeriod": "PT168H",
"maxAllowed": 2,
"currentUsage": 0
}
]
},
{
"name": "START_CALL",
"canPerformAction": true,
"limits": [
{
"timePeriod": "PT24H",
"maxAllowed": 5,
"currentUsage": 1
}
]
}
],
"expirationTime": "2025-10-07T10:09:08.007Z"
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [
{
"property": "property.path",
"violation": "Violation message."
}
],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Registered WhatsApp sender number. Must be in international format.
1 - 15[0-9]+End user identifier — either a phone number in international format or a WhatsApp Business-Scoped User ID.
^([0-9]{1,15}|[A-Z]{2}\..*)$Response
Sender’s calling permission successfully retrieved
The current status of sender's calling permission.NO_PERMISSION - The end user has not granted calling permission to the sender.TEMPORARY - The end user has granted a temporary calling permission to the sender.PERMANENT - The end user has granted permanent calling permission to the sender.
NO_PERMISSION, TEMPORARY, PERMANENT "NO_PERMISSION"
A list of actions a sender may undertake to facilitate a call permission or a business initiated call.
Show child attributes
Show child attributes
Time at which the calling permission will expire. Present only when TEMPORARY permission is granted.
"2025-10-06T08:12:26.422Z"